summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--defaultenv-2/base/bin/bootargs-root-disk26
1 files changed, 26 insertions, 0 deletions
diff --git a/defaultenv-2/base/bin/bootargs-root-disk b/defaultenv-2/base/bin/bootargs-root-disk
new file mode 100644
index 0000000000..df8750e46d
--- /dev/null
+++ b/defaultenv-2/base/bin/bootargs-root-disk
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+usage="$0 [OPTIONS]\n -p <partition>\n -t <fstype>"
+
+while getopt "p:t:h" opt; do
+ if [ ${opt} = p ]; then
+ part=${OPTARG}
+ elif [ ${opt} = t ]; then
+ fstype=${OPTARG}
+ elif [ ${opt} = h ]; then
+ echo -e "$usage"
+ exit 0
+ fi
+done
+
+if [ -z "${part}" ]; then
+ echo "$0: no partition given"
+ exit 1
+fi
+
+if [ -z "${fstype}" ]; then
+ echo "$0: no filesystem type given"
+ exit 1
+fi
+
+global.linux.bootargs.root="root=/dev/$part rootfstype=$fstype rootwait"